/*

This is the only file to be modified for adding your session at FediCamp.

Please follow the file structure as given in this example and commit your changes to the repo.
That's it!

If you have any questions, ask in the Matrix-Room or ask Tobi.
If you aren't sure what to do, ask someone to help!

You also can put the date & description about your session in the pad (Link in Matrix room).
It will be merged, but maybe not in time.

As locations, please only use the following:
'Camp ground', 'Fire place', 'Lunch table', 'Stage room', 'Mobile'

As start time please only use the following numbers:
10, 12, 14, 16, 18, 20

As days please only use the following days:
'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'


*/

const eventData = {
  Wednesday: {
    12: {
      'Camp ground': {
        event: 'Fediverse Charta',
        description: 'Workshop: Wir schreiben einen Entwurf einer „Fediverse-Charta“. Ansprechperson für die Session ist @reticuleena@digitalcourage.social.',
      },
      /* other events */
    },
    14: {
      'Camp ground': {
        event: 'Microblog und Permacomputing',
        description: 'Microblog und Permacomputing - Sustainability (CO2 etc.) - Überlegungen zu verschiedenen (ActivityPub) Ansätzen. Was ist mit dem Jonasschen Prinzip Verantwortung überhaupt drin? Ansprechperson für die Session ist @mro@digitalcourage.social',
      },
      /* other events */
    },

    18: {
      'Camp ground': {
        event: 'Diskussionsrunde Schnittstellen',
        description: 'Diskussionsrunde zu offenen Schnittstellen und wie wir das Fediverse resilient gegen Großkonzerne machen. Ansprechperson für die Session ist @reticuleena@digitalcourage.social.',
      },
      'Lunch table': {
        event: 'Foodbar',
        description: 'Abendessen und Snacks. Planung findet am Veranstaltungstag statt.',
      },
      /* other events */
    },
    20: {
      'Fire place': {
        event: 'Bonfire',
        description: 'Sit-in and talks around the fire.',
      },
    },
  },
  Thursday: {
    10: {
      'Lunch table': {
        event: 'Breakfast & Coffee',
        description: 'Join us for a fresh morning coffee & snacks.',
      },
      /* other events */
    },
    12: {
      'Camp ground': {
        event: 'Fediverse Charta II',
        description: 'Workshop: Wir schreiben einen Entwurf einer „Fediverse-Charta“. Ansprechperson für die Session ist @reticuleena@digitalcourage.social.',
      },
    },
    14: {
      'Stage room': {
        event: 'Moderationstreffen (FMT)',
        description: 'Allgemeines Moderationstreffen mit den Initiatoren des etablierten turnusmäßigen Treffen der Moderator-/innen. Ansprechperson für die Session ist @w4ts0n@nerdculture.de.',
      },
    },
    16: {
      'Lunch table': {
        event: 'Pen and Paper mit Tealk',
        description:
          'Zur Auswahl stehen Aborea, Cyberpunk RED, Durance und Warhammer 40k Wrath & Glory. Die Delux edition ist noch unangetastet. Empfohlene Spielerzahl: 3 bis 6 Spielende. Außerdem wir das allseits beliebte Muchkin dabei sein. Ansprechperson für diese Session ist @Tealk@rollenspiel.social.',
      },
      'Camp ground': {
        event: 'Internet der Gärten',
        description:
          'Vorstellung eines Konzepts für das "Internet der Gärten", eine Fediverse-Gartencommunity mit Saatguttauschbörse. Neben der Tauschbörse sollte es dynamische HTML-Profilseiten geben, erzeugt aus dem Fediverse sowie eine Art Couchsurfing aber als Garten-Surfing. Zugehörig ist auch die Idee für ein "Calendiverse", eine Fediverse-Kalender-Applikation die mit ähnlichen Features wie das sogenannte Internet der Gärten funktioniert, aber auf Veranstaltungen spezialiesiert ist. Ansprechperson für diese Session ist @dreirik@chaos.social.',
      },
      'Mobile': {
        event: 'Schweißworkshops',
        description: 'Einführung ins Schweißen von @willHelm@links.potsda.mn. Maximal 2 Personen.',
      },
    },
    18: {
      'Camp ground': {
        event: 'Erotik und nun?',
        description: 'Diskussionsrunde: Erotik-Content im Fediverse. Und nun? Ansprechpartner für diese Sessionn ist Digitalcourage.',
        /* other events */
      },
    },
    20: {
      'Camp ground': {
        event: '300.000 Jahre Homo Sapiens ...',
        description: '... 50.000 Jahre Sprache, 10.000 Jahre Sesshaftigkeit, 2.500 Jahre Literatur, 500 Jahre Buchdruck, 25 Jahre Web - welche Anfängerfehler passieren uns gerade. Ansprechperson für diese Session ist @mro@digitalcourage.social',
      },
      "Fire place": {
        event: "Fck Uber",
        description: 'So können wir mit dezentralen Netzwerken den großen Konzernen Marktanteile wegnehmen bei Branchen, die stark lokal ausgerichtet sind. Ansprechperson ist @clemensg@digitalcourage.social.',
      },
    },
    /* other times */
  },
  Friday: {
    10: {
      'Camp ground': {
        event: 'Dinge selber machen',
        description:'Dinge trotzdem selber machen (oder: Konsum oder Agency?). Vielleicht finden wir ja einen schönen Begriff statt >Agency<. Mit einem Ausflug zu Ivan Illich und den 📖 Tools for Convivality. Ansprechperson für diese Session ist @mro@digitalcourage.social',
      },
      'Lunch table': {
        event: 'Breakfast & Coffee',
        description: 'Join us for a fresh morning coffee & snacks.',
      },
    },
    12: {
      'Stage room': {
        event: 'Workshop Gesund',
        description: 'Workshop: Gesund kommerzialisieren: nachhaltige Finanzierungskonzepte entwickeln, Billing automatisieren. Ansprechperson für die Session ist @reticuleena@digitalcourage.social.',
      },
      'Camp ground': {
        event: 'Was ist möglich im Fediverse',
        description: 'Über die Spezifikationen des ActivityPub-Protokolls. Einführung an drei konkreten Beispielen mit Spielkarten. Ansprechperson ist @clemensg@digitalcourage.social.',
      },
      /* other events */
    },
    14: {
      'Lunch table': {
        event: 'Pen and Paper: Mausritter',
        description:
          'Dieses Mal ein fertiges Abenteuer, dass es zu den GRT gab. ACHTUNG: Es können nicht so viele Mäuse mitspielen! Thema: Ritterliche Abenteuer mit kleinen Mäusen; Dauer 3-4 Stunden. Ansprechperson für diese Session ist @ueckueck@dresden.network.',
      },
      /* other events */
    },
    16: {
      'Stage room': {
        event: 'Talk: Werbetracking erkennen',
        description:
          'Matthias Eberl zeigt, wie man mit der Netzwerkanalyse des Browsers nach Trackingeinbettungen suchen kann, wie man sie identifiziert und mit welchen Rechtsgrundlagen man dann mit meinem Beschwerdegenerator "Tracktor" dagegen vorgehen kann. Außerdem wird eine einfache Methode gezeigt, um Apps auf verdächtige Verbindungen zu prüfen. Ansprechperson für diese Session ist @rufposten@social.tchncs.de.',
      },
      /* other events */
    },
    18: {
      'Camp ground': {
        event: 'Fedimins Serverabkommen',
        description:
          'Workshop: Im Anschluss an den "Fediverse Charta" Workshop reden wir über das Serverabkommen von Fedimins, betrachten den aktuellen Stand und reden darüber. Ansprechperson für die Session ist @tealk@rollenspiel.social.',
      },
      /* other events */
    },
    20: {
      'Fire place': {
        event: 'Bonfire',
        description: 'Sit-in and talks around the fire.',
      },
      'Lunch table': {
        event: 'Tidying up',
        description: 'Tidying up the kitchen and preparing for the next day.',
      },
      /* other events */
    },
    /* other times */
  },
  Saturday: {
    12: {
      'Stage room': {
        event: 'Workshop Algorithmus',
        description:
          'Workshop: Der "wichtiges"-Algorithmus fehlt manchen. Wie ließe sich das gesellschaftsverträglich umsetzen? Ansprechperson für die Session ist @reticuleena@digitalcourage.social.',
      },
      /* other events */
    },
    14:{
      'Mobile': {
        event: 'Schweißworkshops',
        description: 'Einführung ins Schweißen von @willHelm@links.potsda.mn. Maximal 2 Personen',
      },
    },
    16: {
      'Camp ground': {
        event: 'Lötworkshop',
        description:
          'Lernt löten. @hilde@dz.social wird durch den Workshop führen und Euch zeigen, wie das alles funktioniert. Lötkolben und weiteres benötigtes Werkzeug wird zur Verfügung gestellt.',
      },
      'Stage room': {
        event: 'Seance: Was ist möglich im Fediverse?',
        description:
          'Das ActivityPub Protokoll wird durch eine Reihe von Spezifikationen standardisiert* – es ist schwierig, einen schnellen Überblick zu gewinnen. Ein Akteur (Person, Gruppe, Service etc.) macht eine Aktion (Teilen, Offerieren, Fragen, Reisen etc.) mit einem Objekt (Platz, Veranstaltung, Artikel, Video etc.) Dazu würden Clemens Grün und ich kurz skizzieren, wie wir an einem generischen Server und an drei verschiedenen Clients arbeiten. Ansprechperson: @sl007@digitalcourage.social',
      },
      /* other events */
    },
    18: {
      'Camp ground': {
        event: 'Zu große Instanzen',
        description: 'Diskusstionsrunde zum Thema große und zu große Instanzen.',
      },
      'Lunch table': {
        event: 'Preparing BBQ',
        description: 'Preparing BBQ & dinner.',
      },
      /* other events */
    },
    20: {
      'Fire place': {
        event: 'Bonfire',
        description: 'Sit-in and talks around the fire.',
      },
      'Lunch table': {
        event: 'Tidying up',
        description: 'Tidying up the kitchen and preparing for the next day.',
      },
      /* other events */
    },
    /* other times */
  },
  Sunday: {
    12: {
      'Camp ground': {
        event: 'Tearing down',
        description: 'Clearing up the camp grounds.',
      },
      /* other events */
    },
    14: {
      'Lunch table': {
        event: 'Coffee',
        description: "Let's have a last coffee before traveling home again.",
      },
      /* other events */
    },
    /* other times */
  },
  /* other days */
};
